///////////////////////////
//	File: CMiniBoss.h
//	Author:	Eric Green
//	Purpose: Enemy class definition
#pragma once
#include "CBase.h"
#include "IListener.h"

class CMiniBoss :
	public CBase
{
private:
	int m_nState;
public:
	CMiniBoss(void);
	virtual ~CMiniBoss(void);
	
	void Update();
	void HandleEvent(CEvent* pEvent);
	void Render();
};